Bug 152982 - [patch] net/nss_ldap, ignore option nss_initgroups_ignoreusers
Summary: [patch] net/nss_ldap, ignore option nss_initgroups_ignoreusers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-10 11:00 UTC by Konstantin Menshikov
Modified: 2015-02-25 13:17 UTC (History)
0 users

See Also:


Attachments
file.diff (2.78 KB, patch)
2010-12-10 11:00 UTC, Konstantin Menshikov
no flags Details | Diff
smime.p7s (5.05 KB, application/x-pkcs7-signature)
2011-05-30 13:27 UTC, Konstantin Menshikov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Menshikov 2010-12-10 11:00:17 UTC
Option nss_initgroups_ignoreusers for nss_ldap not working for function getgrouplist(), getgrouplist() called from initgroups().
Call getgroplist() on freebsd used nss_ldap function __nss_compat_getgrent_r(),
because not realized function for "getgroupmembership",
option nss_initgroups_ignoreusers checked in _nss_ldap_initgroups_dyn().
Therefore option not working.

I`m found patch http://lists.freebsd.org/pipermail/freebsd-current/2007-July/075131.html (for bsdnss.c) and corrected it. 
This implemented special function for getgroupmembership search.
Run and testing on my freebsd box, option nss_initgroups_ignoreusers works fine.

Fix: Need apply patch to bsdnss.c and rebuild nss_ldap.

Patch attached with submission follows:
How-To-Repeat: Configure Freebsd for authentication on LDAP server http://www.freebsd.org/doc/en_US.ISO8859-1/articles/ldap-auth/index.html
        
Add in /usr/local/etc/nss_ldap.conf "nss_initgroups_ignoreusers nobody". Call function getgrouplist() for user nobody or  run "id nobody".

Look ldap server logs (you see lookup for get list of group),
also you can add to /etc/make.conf  CFLAGS+=-DDEBUG, rebuld nss_ldap and look debug trace.
Comment 1 Edwin Groothuis freebsd_committer 2010-12-10 11:00:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-12-10 11:00:52 UTC
Maintainer of net/nss_ldap,

Please note that PR ports/152982 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152982

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-12-10 11:00:55 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Philip M. Gollucci freebsd_committer 2010-12-24 07:36:11 UTC
State Changed
From-To: feedback->open

maintainer timeout (mikeg@bsd-box.net ; 14 days)
Comment 5 Philip M. Gollucci freebsd_committer 2011-01-12 00:59:26 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

E-NO-TIME right now, back to pool
Comment 6 Konstantin Menshikov 2011-05-30 13:27:58 UTC
Hi.

This PR expect over 5 month.
Please, resolve it.

-- 
ÐенÑÑиков ÐонÑÑанÑин

Comment 7 Michael Scheidell freebsd_committer 2011-12-02 22:25:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

ill take it
Comment 8 Michael Scheidell freebsd_committer 2011-12-03 18:41:52 UTC
State Changed
From-To: open->closed

Patch committed, portsrev bumped
Comment 9 dfilter service freebsd_committer 2011-12-03 18:45:52 UTC
scheidell    2011-12-03 18:45:42 UTC

  FreeBSD ports repository

  Modified files:
    net/nss_ldap         Makefile 
    net/nss_ldap/files   bsdnss.c 
  Log:
  -Fix nss_initgroups_ignoreusers (add patch to bsdnss.c)
  
  PR:             152982
  Submitted by:   kmenshikov@peterhost.ru
  Approved by:    mentor (timeout), gabor (mentor)
  Obtained from:  http://lists.freebsd.org/pipermail/freebsd-current/2007-July/075131.html
  Feature safe:   yes
  
  Revision  Changes    Path
  1.42      +1 -1      ports/net/nss_ldap/Makefile
  1.5       +61 -0     ports/net/nss_ldap/files/bsdnss.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Yuri Khotyaintsev 2011-12-28 16:20:01 UTC
Unfortunately upgrading nss_ldap from 1.265_6 to 1.265_7 breaks my
nss_ldap setup which was working without changes for many years. The
problem is that only the primary group being returned with 1.265_7.
Please revert this change.

Example:

nss_ldap 1.265_6:

[root@hem /usr/local/etc]# groups ko
phisp cluster

nss_ldap 1.265_7:

[root@hem /usr/local/etc]# groups ko
phisp

Debug output is included below.

Cheers,
Yuri

nss_ldap 1.265_6:

[root@hem /usr/local/etc]# groups ko
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_search_s
nss_ldap: =3D=3D> do_init
nss_ldap: =3D=3D> do_close
nss_ldap: <=3D=3D do_close
nss_ldap: =3D=3D> do_close_no_unbind
nss_ldap: <=3D=3D do_close_no_unbind (connection was not open)
nss_ldap: =3D=3D> _nss_ldap_add_uri
nss_ldap: <=3D=3D _nss_ldap_add_uri: added URI ldapi:///var/run/openldap/ld=
api
nss_ldap: =3D=3D> _nss_ldap_add_uri
nss_ldap: <=3D=3D _nss_ldap_add_uri: added URI ldaps://XXXX.irfu.se
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter: (&(objectClass=3DposixAccount)(uid=3Dko))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search_s
nss_ldap: <=3D=3D do_search_s
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search_s
nss_ldap: =3D=3D> do_parse_s
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D do_parse_s
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_ent_context_init_locked
nss_ldap: <=3D=3D _nss_ldap_ent_context_init_locked
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_ent_context_init_locked
nss_ldap: <=3D=3D _nss_ldap_ent_context_init_locked
nss_ldap: =3D=3D> _nss_ldap_search
nss_ldap: =3D=3D> do_init
nss_ldap: :=3D=3D do_init (stolen socket detected)
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter: (&(objectClass=3DposixGroup))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search
nss_ldap: <=3D=3D do_search
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dcassini,ou=3DGroup,dc=3Dirf=
u,dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dsat,ou=3DGroup,dc=3Dirfu,dc=
=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dphisp,ou=3DGroup,dc=3Dirfu,=
dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dadmin,ou=3DGroup,dc=3Dirfu,=
dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dirfu,ou=3DGroup,dc=3Dirfu,d=
c=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Doldies,ou=3DGroup,dc=3Dirfu=
,dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dextern,ou=3DGroup,dc=3Dirfu=
,dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dcluster,ou=3DGroup,dc=3Dirf=
u,dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Drosetta,ou=3DGroup,dc=3Dirf=
u,dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dastrid2,ou=3DGroup,dc=3Dirf=
u,dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: <=3D=3D do_parse
nss_ldap: =3D=3D> _nss_ldap_search
nss_ldap: =3D=3D> do_init
nss_ldap: :=3D=3D do_init (stolen socket detected)
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_ent_context_release
nss_ldap: <=3D=3D _nss_ldap_ent_context_release
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_search_s
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter: (&(objectClass=3DposixGroup)(gidNumber=3D206))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search_s
nss_ldap: <=3D=3D do_search_s
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search_s
nss_ldap: =3D=3D> do_parse_s
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dphisp,ou=3DGroup,dc=3Dirfu,=
dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse_s
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_search_s
nss_ldap: =3D=3D> do_init
nss_ldap: :=3D=3D do_init (stolen socket detected)
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter: (&(objectClass=3DposixGroup)(gidNumber=3D158))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search_s
nss_ldap: <=3D=3D do_search_s
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search_s
nss_ldap: =3D=3D> do_parse_s
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dcluster,ou=3DGroup,dc=3Dirf=
u,dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse_s
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_getbyname
phisp cluster

nss_ldap 1.265_7:

[root@hem /usr/local/etc]# groups ko
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_search_s
nss_ldap: =3D=3D> do_init
nss_ldap: =3D=3D> do_close
nss_ldap: <=3D=3D do_close
nss_ldap: =3D=3D> do_close_no_unbind
nss_ldap: <=3D=3D do_close_no_unbind (connection was not open)
nss_ldap: =3D=3D> _nss_ldap_add_uri
nss_ldap: <=3D=3D _nss_ldap_add_uri: added URI ldapi:///var/run/openldap/ld=
api
nss_ldap: =3D=3D> _nss_ldap_add_uri
nss_ldap: <=3D=3D _nss_ldap_add_uri: added URI ldaps://XXXX.irfu.se
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter: (&(objectClass=3DposixAccount)(uid=3Dko))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search_s
nss_ldap: <=3D=3D do_search_s
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search_s
nss_ldap: =3D=3D> do_parse_s
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D do_parse_s
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_initgroups_dyn (user=3Dko)
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> do_init
nss_ldap: :=3D=3D do_init (stolen socket detected)
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> _nss_ldap_search_s
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter: (&(objectClass=3DposixAccount)(uid=3Dko))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search_s
nss_ldap: <=3D=3D do_search_s
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search_s
nss_ldap: =3D=3D> _nss_ldap_ent_context_init_locked
nss_ldap: <=3D=3D _nss_ldap_ent_context_init_locked
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_ent_context_init_locked
nss_ldap: <=3D=3D _nss_ldap_ent_context_init_locked
nss_ldap: =3D=3D> _nss_ldap_search
nss_ldap: =3D=3D> do_init
nss_ldap: :=3D=3D do_init (stolen socket detected)
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter:
(&(objectClass=3DposixGroup)(|(memberUid=3Dko)(uniqueMember=3Duid=3Dko,ou=
=3DPeople,dc=3Dirfu,dc=3Dse)))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search
nss_ldap: <=3D=3D do_search
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_ent_context_init_locked
nss_ldap: <=3D=3D _nss_ldap_ent_context_init_locked
nss_ldap: =3D=3D> _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_ent_context_init_locked
nss_ldap: <=3D=3D _nss_ldap_ent_context_init_locked
nss_ldap: =3D=3D> _nss_ldap_search
nss_ldap: =3D=3D> do_init
nss_ldap: :=3D=3D do_init (stolen socket detected)
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter:
(&(objectClass=3DposixGroup)(uniqueMember=3Dcn=3Dcluster,ou=3DGroup,dc=3Dir=
fu,dc=3Dse))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search
nss_ldap: <=3D=3D do_search
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search
nss_ldap: =3D=3D> do_parse
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: <=3D=3D do_parse
nss_ldap: =3D=3D> _nss_ldap_search
nss_ldap: =3D=3D> do_init
nss_ldap: :=3D=3D do_init (stolen socket detected)
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_ent_context_release
nss_ldap: <=3D=3D _nss_ldap_ent_context_release
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: <=3D=3D do_parse
nss_ldap: <=3D=3D _nss_ldap_getent_ex
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: =3D=3D> _nss_ldap_ent_context_release
nss_ldap: =3D=3D> do_result
nss_ldap: <=3D=3D do_result
nss_ldap: <=3D=3D _nss_ldap_ent_context_release
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_initgroups_dyn (not found)
nss_ldap: =3D=3D> _nss_ldap_enter
nss_ldap: <=3D=3D _nss_ldap_enter
nss_ldap: =3D=3D> _nss_ldap_getbyname
nss_ldap: =3D=3D> _nss_ldap_search_s
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_filter
nss_ldap: :=3D=3D do_filter: (&(objectClass=3DposixGroup)(gidNumber=3D206))
nss_ldap: <=3D=3D do_filter
nss_ldap: =3D=3D> do_with_reconnect
nss_ldap: =3D=3D> do_open
nss_ldap: =3D=3D> do_init
nss_ldap: <=3D=3D do_init (initialized session)
nss_ldap: =3D=3D> do_bind
nss_ldap: <=3D=3D do_bind
nss_ldap: =3D=3D> do_set_sockopts
nss_ldap: <=3D=3D do_set_sockopts
nss_ldap: <=3D=3D do_open (session connected to DSA)
nss_ldap: =3D=3D> do_search_s
nss_ldap: <=3D=3D do_search_s
nss_ldap: <=3D=3D do_with_reconnect
nss_ldap: <=3D=3D _nss_ldap_search_s
nss_ldap: =3D=3D> do_parse_s
nss_ldap: =3D=3D> _nss_ldap_assign_userpassword
nss_ldap: <=3D=3D _nss_ldap_assign_userpassword
nss_ldap: =3D=3D> _nss_ldap_namelist_find
nss_ldap: <=3D=3D _nss_ldap_namelist_find
nss_ldap: =3D=3D> _nss_ldap_namelist_push (cn=3Dphisp,ou=3DGroup,dc=3Dirfu,=
dc=3Dse)
nss_ldap: <=3D=3D _nss_ldap_namelist_push
nss_ldap: =3D=3D> _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D _nss_ldap_namelist_destroy
nss_ldap: <=3D=3D do_parse_s
nss_ldap: =3D=3D> _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_leave
nss_ldap: <=3D=3D _nss_ldap_getbyname
phisp

--=20
Dr. Yuri Khotyaintsev
Institutet f=C3=B6r rymdfysik (IRF), Uppsala
tel: +46 18 471 59 29
fax: +46 18 471 59 05
Comment 11 commit-hook freebsd_committer 2015-02-25 13:17:23 UTC
A commit references this bug:

Author: arved
Date: Wed Feb 25 13:16:32 UTC 2015
New revision: 379908
URL: https://svnweb.freebsd.org/changeset/ports/379908

Log:
  Update to 1.0.65

  PR:		152982
  Submitted by:	maintainer

Changes:
  head/print/cups-filters/Makefile
  head/print/cups-filters/distinfo